Foros del Web » Programando para Internet » PHP »

phpMyAdmin

Estas en el tema de phpMyAdmin en el foro de PHP en Foros del Web. He instalado el appserv-win32-2.5.0.exe(Appserver) y ahora tengo el problema q cuando ejecuto el phpMyAdmin me da el sigueinte error "Su archivo de configuración contiene parámetros ...
  #1 (permalink)  
Antiguo 03/08/2004, 18:25
 
Fecha de Ingreso: julio-2004
Mensajes: 84
Antigüedad: 13 años, 4 meses
Puntos: 0
phpMyAdmin

He instalado el appserv-win32-2.5.0.exe(Appserver) y ahora tengo el problema q cuando ejecuto el phpMyAdmin me da el sigueinte error
"Su archivo de configuración contiene parámetros (root sin contraseña) que corresponden a la cuenta privilegiada predeterminada de MySQL. Su servidor de MySQL está usando estos valores, que constituyen una vulnerabilidad. Se le recomienda corregir esta brecha de seguridad."

Bueno es obvio q no he modificado bien el config...pero la pregunta es a q usuario y a que password se refieren...cuando instale el appserver le di al user y al password pero si lo uso asi me da igual error..donde puedo conultar el usuario y el password???
  #2 (permalink)  
Antiguo 03/08/2004, 20:06
Avatar de mafima  
Fecha de Ingreso: abril-2003
Ubicación: Medellin-Colombia
Mensajes: 1.109
Antigüedad: 14 años, 8 meses
Puntos: 24
Modifica los privilegios

de seguro que tienes que modificar los privelegios...

busca en la pagina principal un enlace que dice privilegios, estra ahi, y borra todos los usuarios que tengas... luego crea un usuario nuevo y dale todo los privelegios... por ultimo entra al config y borra el usuario root y coloca este nuevo (es importante que lo que hagas en le cionfig sea borrar el usuario rott, es decir remplaza los datos donde dice root por los datos del nuevo user (pedro) por ejemplo) por ultimo cierra el mysql y el phpmyadmin y cuando los habras el error estara solucionado

hasta pronto
__________________
SEO en Medellin
  #3 (permalink)  
Antiguo 03/08/2004, 22:04
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Puedes serguir esta guía de instalación de Apache+PHP+mysql y phpMyadmin . .ahí se comenta el tema de los usuarios de Mysql .. de cuales se crean "por defecto" y por ende que el mensaje que obtienes sólo es un aviso para que lo tengas presente, cualquier "intruso" lo primero que provaría es justamente al usuario "root sin contraseña" que es el que está usando ahora mismo phpMyadmin para concectarse a tu Mysql ..

http://www.maestrosdelweb.com/editorial/phpmysqlap/

Un saludo,
  #4 (permalink)  
Antiguo 04/08/2004, 08:57
 
Fecha de Ingreso: julio-2004
Mensajes: 84
Antigüedad: 13 años, 4 meses
Puntos: 0
Gracias Chavales por su ayuda
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 04:44.